Portfolio Flow for Android System Requirements - Extensis.com

Portfolio Flow for Android
System Requirements

Current version: 1.0.2

System Requirements

  • Phone or tablet running Android v4 or later
  • An internet connection
  • A licensed installation of Portfolio 1.0 or later, or Portfolio Server 11.2 or later